CocoaGridLayout Class Reference

`#include <CocoaGridLayout.h>`

Inheritance diagram for CocoaGridLayout:

## Instance Methods

(void) | - addLayoutSubview:
(NSSize) | - minSize

## Protected Attributes

NSInteger | columns
BOOL | fillX
BOOL | fillY
NSInteger | rows
NSMutableArray * | subviewsInOrder

## Detailed Description

Definition at line 11 of file CocoaGridLayout.h.

## Method Documentation

## addLayoutSubview:

- (void) addLayoutSubview: |  | (NSView *) | new_subview |

## minSize

- (NSSize) minSize |  |  |

References minSize.

Referenced by minSize.

## Field Documentation

## columns

- (NSInteger) columns

read write protected

Definition at line 18 of file CocoaGridLayout.h.

## fillX

- (BOOL) fillX

read write protected

Definition at line 15 of file CocoaGridLayout.h.

## fillY

- (BOOL) fillY

read write protected

Definition at line 16 of file CocoaGridLayout.h.

## rows

- (NSInteger) rows

read write protected

Definition at line 19 of file CocoaGridLayout.h.

## subviewsInOrder

- (NSMutableArray*) subviewsInOrder

protected

Definition at line 14 of file CocoaGridLayout.h.

The documentation for this class was generated from the following file:

- CocoaGridLayout.h